Bug 842870 - python-basemap cannot be imported in epel6
python-basemap cannot be imported in epel6
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: python-basemap (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 15:03 EDT by Kevin Fenzi
Modified: 2015-04-22 18:49 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-31 13:00:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2012-07-24 15:03:24 EDT
On a rhel6.3 box: 

% python
Python 2.6.6 (r266:84292, May  1 2012, 13:52:17) 
[GCC 4.4.6 20110731 (Red Hat 4.4.6-3)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> from mpl_toolkits.basemap import Basemap
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python2.6/site-packages/mpl_toolkits/basemap/__init__.py", line 38, in <module>
    import pyproj, sys, os, math, dbflib
  File "/usr/lib64/python2.6/site-packages/mpl_toolkits/basemap/pyproj.py", line 48, in <module>
    from _proj import Proj as _Proj
  File "c_numpy.pxd", line 76, in _proj (src/_proj.c:3234)
ValueError: numpy.dtype does not appear to be the correct type object
Comment 1 Patrice Dumas 2012-07-30 07:03:13 EDT
I see the same issue.  I think this comes from the recent numpy upgrade.  I rebuilt the basemap rpm and it works now.
Comment 2 Matt Domsch 2012-07-30 09:33:28 EDT
Devrim kicked off a build.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4342411
Comment 3 Fedora Update System 2012-07-30 10:14:53 EDT
python-basemap-0.99.4-11.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-basemap-0.99.4-11.el6
Comment 5 Fedora Update System 2012-07-30 13:29:51 EDT
Package python-basemap-0.99.4-11.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-basemap-0.99.4-11.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6551/python-basemap-0.99.4-11.el6
then log in and leave karma (feedback).
Comment 6 Kevin Fenzi 2012-07-30 15:18:51 EDT
This seems to work here. ;) thanks.
Comment 7 Fedora Update System 2012-07-31 13:00:12 EDT
python-basemap-0.99.4-11.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Jef Spaleta 2012-07-31 13:28:45 EDT
thank you guys for taking care of this.  I'm at a remote radar site at the moment and I don't have an EPEL system with me.

Which reminds me I need to make a formal announcement about my upcoming one month of completely off the grid status.

-jef
Comment 9 Gregory Hennessy 2014-07-09 15:52:05 EDT
I think this bug may have come back. As of today, 9 July 2014, on a redhat 6.5 machine:

[gsh@localhost local_place]$ python
Python 2.6.6 (r266:84292, Nov 21 2013, 10:50:32) 
[GCC 4.4.7 20120313 (Red Hat 4.4.7-4)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> from mpl_toolkits import basemap
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python2.6/site-packages/mpl_toolkits/basemap/__init__.py", line 38, in <module>
    import pyproj, sys, os, math, dbflib
  File "/usr/lib64/python2.6/site-packages/mpl_toolkits/basemap/pyproj.py", line 48, in <module>
    from _proj import Proj as _Proj
  File "c_numpy.pxd", line 76, in _proj (src/_proj.c:3234)
ValueError: numpy.dtype does not appear to be the correct type object
>>> import numpy
>>> print numpy.__version__
1.8.1
>>>
Comment 10 Orion Poplawski 2015-04-22 18:49:09 EDT
(In reply to Gregory Hennessy from comment #9)
> >>> print numpy.__version__
> 1.8.1

Yeah, that's likely not going to work.  We're expecting numpy 1.4.1 in EL6:

numpy.x86_64        1.4.1-9.el6             @rhel-6-server-rpms

See also new bug #1125032

Note You need to log in before you can comment on or make changes to this bug.